org.jboss.logging.processor.util

## Class Strings

- java.lang.Object
- - org.jboss.logging.processor.util.Strings

    public class Strings
    extends Object

Date: 19.09.2011

Author:
  James R. Perkins

### Method Summary

Methods
`static String` `fill(char filler, int len)` Creates a string filled with the with the value of the `filler` parameter with a length defined by the `len` parameter.
`static String` `fill(CharSequence filler, int len)` Creates a string filled with the with the value of the `filler` parameter with a length defined by the `len` parameter.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### fill

    public static String fill(char filler,
              int len)

Creates a string filled with the with the value of the `filler` parameter with a length defined by the `len` parameter.

Parameters:
  `filler` - the filler character.
  `len` - the length to fill.
Returns:
  the generated string.

#### fill

    public static String fill(CharSequence filler,
              int len)

Creates a string filled with the with the value of the `filler` parameter with a length defined by the `len` parameter.

Parameters:
  `filler` - the filler sequence.
  `len` - the length to fill.
Returns:
  the generated string.